Uploaded image for project: 'MariaDB Server'
  1. MariaDB Server
  2. MDEV-17727

galera-4 install test in buildbot doesn't install galera-4

    XMLWordPrintable

    Details

      Description

      The install test for galera builds in buildbot universally tries to install galera-3 and galera-arbitrator-3:

      sudo sh -c "DEBIAN_FRONTEND=noninteractive MYSQLD_STARTUP_TIMEOUT=180 apt-get install --allow-unauthenticated -y galera-3 galera-arbitrator-3"
      

      This is (obviously) not appropriate when building/testing galera-4 packages.

      The test needs to be changed to install either galera-3 or galera-4 packages depending on which one is being built.

        Attachments

          Activity

            People

            Assignee:
            jplindst Jan Lindström
            Reporter:
            dbart Daniel Bartholomew
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Git Integration

                Error rendering 'com.xiplink.jira.git.jira_git_plugin:git-issue-webpanel'. Please contact your Jira administrators.